Name:           bats
Version:        1.10.0
Release:        1
Summary:        Bash Automated Testing System

License:        MIT
URL:            https://github.com/bats-core/bats-core
Source:         https://github.com/bats-core/bats-core/archive/refs/tags/v%{version}.tar.gz

BuildArch:      noarch

Requires:       bash
Requires:       parallel
BuildRequires:  parallel
BuildRequires:  procps-ng

%description
Bats is a TAP-compliant testing framework for Bash. It provides a simple way to
verify that the UNIX programs you write behave as expected. Bats is most useful
when testing software written in Bash, but you can use it to test any UNIX
program.

%prep
%autosetup -n bats-core-%{version} -p1

%install
./install.sh %{buildroot}%{_prefix}

%check
./bin/bats test

%files
%doc AUTHORS README.md docs/CHANGELOG.md
%license LICENSE.md
%{_bindir}/%{name}
%{_libexecdir}/bats-core
%{_prefix}/lib/bats-core
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man7/%{name}.7.gz

%changelog
* Sun Feb 25 2024 lijian <lijian2@kylinos.cn> - 1.10.0-1
- Upgrade to 1.10.0

* Mon Jul 10 2023 lijian <lijian2@kylinos.cn> - 1.9.0-1
- Package init.
